# Uses of Enum Class
net.shibboleth.idp.attribute.EmptyAttributeValue.EmptyType

Packages that use EmptyAttributeValue.EmptyType
Package
Description
net.shibboleth.idp.attribute
`IdPAttribute`s are protocol-agnostic units of information about some thing, usually a user.

## Uses of EmptyAttributeValue.EmptyType in net.shibboleth.idp.attribute

Fields in net.shibboleth.idp.attribute declared as EmptyAttributeValue.EmptyType
Modifier and Type
Field
Description
`private final EmptyAttributeValue.EmptyType`
EmptyAttributeValue.`value`
Value of the attribute.
Methods in net.shibboleth.idp.attribute that return EmptyAttributeValue.EmptyType
Modifier and Type
Method
Description
`EmptyAttributeValue.EmptyType`
EmptyAttributeValue.`getValue()`
Return the value.
`static EmptyAttributeValue.EmptyType`
EmptyAttributeValue.EmptyType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EmptyAttributeValue.EmptyType[]`
EmptyAttributeValue.EmptyType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in net.shibboleth.idp.attribute with parameters of type EmptyAttributeValue.EmptyType
Modifier
Constructor
Description
``
`EmptyAttributeValue(EmptyAttributeValue.EmptyType attributeValue)`
Constructor.